All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.html
Class CellContentsRadioEditor

    com.sas.servlet.tbeans.tableview.html.CellContentsRadioEditor

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, ComplexStyleInterface, FormElementModificationEventInterface, RadioStyleKeysInterface, com.sas.servlet.tbeans.form.JavaScriptObjectCreationInterface, com.sas.servlet.tbeans.JavaScriptEventHandlerInterface, RenderableInterface, TableCellContentsEditor, TransformationInterface, GenericValidatorInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, javax.swing.SwingConstants

    public class CellContentsRadioEditor

implements TableCellContentsEditor

The CellContentsRadioEditor is a TransformationBean™ that generates the appropriate HTML 4.0 that represent the content's of a cell that can be edited via an HTML radio box component.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:CellContentsRadioEditor custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.form.BaseRadio
`model, RB_KEY`

Fields inherited from interface com.sas.servlet.tbeans.form.html.RadioStyleKeysInterface
`RADIO_BOX, RADIO_CONTAINER, RADIO_CONTAINER_CELL, RADIO_INNER_CONTAINER, RADIO_INNER_CONTAINER_LABEL_CELL, RADIO_INNER_CONTAINER_RADIO_CELL, RADIO_LABEL`

Constructor Summary
`CellContentsRadioEditor()` Default constructor

Method Summary
`ActionList` | `getActions()` Gets the list of valid actions for this cell.
`TransformationInterface` | `getCellContentsEditorComponent(AbstractBaseTableView viewer, java.lang.Object value, java.lang.String name, ActionList actions)` Returns the tbean used for rendering the contents of the tableview's editable cell.
`AbstractBaseTableView` | `getTableView()` Gets the instance of the AbstractBaseTableView containing this cell.
`void` | `setActions(ActionList actions)` Sets the list of valid actions for this cell.
`void` | `setLocale(java.util.Locale loc)` Set the locale
`void` | `setTableView(AbstractBaseTableView viewer)` Sets the instance of the AbstractBaseTableView containing this cell.
`void` | `write(java.io.PrintWriter out)` Writes the contents of the cell as an radio box.

Methods inherited from class com.sas.servlet.tbeans.form.html.Radio
`getStyleMap, isContainerDefaults, setContainerDefaults`

Methods inherited from class com.sas.servlet.tbeans.form.BaseRadio
`getHorizontalAlignment, getLabelOrientation, getModel, getSelectedIndex, getSelectedItem, isBreak, isLabelBolding, isLabelVisible, isSelected, isSelected, isValidateSelection, setBreak, setHorizontalAlignment, setLabelBolding, setLabelOrientation, setLabelVisible, setModel, setSelectedIndex, setSelectedItem, setSelectedItem, setValidateSelection`

Methods inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`getAccessKey, getErrorHandler, getModificationEventName, getName, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleInfo, getTabIndex, getTitle, getValidationFunctions, getValidator, isEnabled, isValid, isValidationEnabled, setAccessKey, setEnabled, setErrorHandler, setId, setModificationEventName, setName, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleInfo, setTabIndex, setTitle, setValidator, writeJavaScriptObject, writeJavaScriptObjectValidate, writeJavaScriptValidatorObject, writeValidationScript`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Constructor Detail

### CellContentsRadioEditor

    public CellContentsRadioEditor()

  Default constructor

Method Detail

### getCellContentsEditorComponent

    public TransformationInterface getCellContentsEditorComponent(AbstractBaseTableView viewer,
                                                                  java.lang.Object value,
                                                                  java.lang.String name,
                                                                  ActionList actions)

  Returns the tbean used for rendering the contents of the tableview's editable cell. This method is used to configure the contents editor appropriately before writing out the component. The tableview requires the name of the contents editor to be of a specific format for editing purposes. See `TableView` for an explanation of the editing components naming requirements.

  Specified by:
    `getCellContentsEditorComponent` in interface `TableCellContentsEditor`
  Parameters:
    `viewer` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents editor
    `actions` - an actionlist of all the valid actions for this cell
  Returns:
    the contents editor for this cell

### setActions

    public void setActions(ActionList actions)

  Sets the list of valid actions for this cell.

  Specified by:
    `setActions` in interface `TableCellContentsEditor`
  Parameters:
    `actions` - an actionlist of all the valid actions for this cell

### getActions

    public ActionList getActions()

  Gets the list of valid actions for this cell.

  Specified by:
    `getActions` in interface `TableCellContentsEditor`
  Returns:
    the actionlist of all the valid actions for this cell, or null if not set

### setTableView

    public void setTableView(AbstractBaseTableView viewer)

  Sets the instance of the AbstractBaseTableView containing this cell.

  Specified by:
    `setTableView` in interface `TableCellContentsEditor`
  Parameters:
    `tableview` - an instance of AbstractBaseTableView containing this cell

### getTableView

    public AbstractBaseTableView getTableView()

  Gets the instance of the AbstractBaseTableView containing this cell.

  Specified by:
    `getTableView` in interface `TableCellContentsEditor`
  Returns:
    the tableview containing this cell

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the contents of the cell as an radio box.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `Radio`
  Parameters:
    `out` - the output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### setLocale

    public void setLocale(java.util.Locale loc)

  Set the locale

  Specified by:
    `setLocale` in interface `TransformationInterface`
  Overrides:
    `setLocale` in class `BaseTransformation`
  Parameters:
    `locale` -

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.